/* cuando hay un error en el input. Forzar a que se vea en rojo */

.form-control.form-control-solid.is-invalid {
    border: 1px solid var(--bs-danger) !important;
}
.form-control.form-control-solid.is-invalid:focus {
    border-color: var(--bs-danger) !important;
    box-shadow: 0 0 0 .25rem rgba(220,53,69,.25); /* opcional */
}

/*
 * Botón compacto para acciones dentro de tablas
 * Reduce padding y line-height para evitar que el <td> aumente de altura
 * respecto a otras filas con texto simple.
 */
.btn-xs-table {
    padding: 2px 4px !important;
    line-height: 1 !important;
    min-height: auto !important;
}

/* fix summernote en tema oscuro*/
[data-bs-theme="dark"] .note-editor .note-editable,
[data-bs-theme="dark"] .note-editor .note-editable * {
    color: #cdcdde !important;
}

[data-bs-theme="dark"] .note-editor .note-editable {
    background: #1e1e2d !important;
}
